Skip to content
View as Markdown

GET List Contacts​

GET
/subscribers

Retrieve a paginated list of contacts. Supports both simple filtering (by tags, lists, statuses) and advanced filtering with complex filter groups. Optionally includes custom field values.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Query Parameters

filter_type

Type of filtering to apply.

Type
string
Valid values
"simple""advanced"
Default
"simple"
search

Search contacts by name, email, or other searchable fields.

Type
string
sort_by

Column to sort by.

Type
string
Default
"id"
sort_type

Sort direction.

Type
string
Valid values
"ASC""DESC"
Default
"DESC"
has_commerce

Filter by commerce integration availability.

Type
string
custom_fields

Set to true to include custom field values in the response.

Type
string
Valid values
"true""false"
tags[]

Filter by tag IDs (simple filter mode only).

Type
array
statuses[]

Filter by contact statuses (simple filter mode only).

Type
array
sms_statuses[]

Filter by SMS statuses (simple filter mode only).

Type
array
lists[]

Filter by list IDs (simple filter mode only).

Type
array
company_ids[]

Filter by company IDs.

Type
array
advanced_filters

JSON-encoded advanced filter groups (advanced filter mode only).

Type
string
per_page

Number of contacts per page.

Type
integer
Default
15
page

Page number for pagination.

Type
integer
Default
1

Responses​

Paginated list of contacts.

application/json
JSON
{
"subscribers": {
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"next_page_url": "string",
"prev_page_url": "string",
"from": 0,
"to": 0,
"data": [
{
"id": 0,
"user_id": "string",
"hash": "string",
"contact_owner": "string",
"company_id": 0,
"prefix": "string",
"first_name": "string",
"last_name": "string",
"full_name": "string",
"email": "string",
"status": "string",
"contact_type": "string",
"address_line_1": "string",
"address_line_2": "string",
"postal_code": "string",
"city": "string",
"state": "string",
"country": "string",
"ip": "string",
"latitude": 0,
"longitude": 0,
"phone": "string",
"timezone": "string",
"date_of_birth": "string",
"source": "string",
"life_time_value": 0,
"last_activity": "string",
"total_points": 0,
"created_at": "string",
"updated_at": "string",
"photo": "string",
"tags": [
{
"id": 0,
"title": "string",
"slug": "string"
}
],
"lists": [
{
"id": 0,
"title": "string",
"slug": "string"
}
],
"stats": {
"emails": 0,
"opens": 0,
"clicks": 0,
"total_points": 0,
"last_activity": "string"
}
}
]
},
"custom": "string"
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI